Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.commands
Class SessionData

    java.lang.Object
      org.jivesoftware.openfire.commands.SessionData

    public class SessionData

extends Object

A SessionData instance is responsible for keeping information gathered during the many stages of the command being executed. Each session data is associated with the `sessionid` attribute included in the `command` child element of the IQ packet.

Author:
  Gaston Dombiak

Method Summary
`long` | `getCreationStamp()`
`Map<String,List<String>>` | `getData()` Returns a Map with all the variables and values obtained during all the command stages.
`String` | `getId()`
`org.xmpp.packet.JID` | `getOwner()` Returns the JID of the entity that is executing the command.
`int` | `getStage()` Returns the current stage where the requester is located.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getId

    public String getId()

### getOwner

    public org.xmpp.packet.JID getOwner()

  Returns the JID of the entity that is executing the command.

  Returns:
    the JID of the entity that is executing the command.

### getCreationStamp

    public long getCreationStamp()

### getData

    public Map<String,List<String>> getData()

  Returns a Map with all the variables and values obtained during all the command stages.

  Returns:
    a Map with all the variables and values obtained during all the command stages.

### getStage

    public int getStage()

  Returns the current stage where the requester is located. Stages are numbered from 0. A stage with value 0 means that a command request has just been received and no data form has been sent to the requester yet. The first sent data form of the first stage would be represented as stage 1.

  Returns:
    the current stage where the requester is located.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.